package com.bonus.boot.manager.basic.dao;

import com.bonus.boot.manager.basic.entity.BaseTypePackageBean;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 包名称：com.bonus.boot.manager.basic.dao
 * 类名称：PackageTypeDao
 * 类描述：套餐管理dao层
 * 创建人：@author tqzhang
 * 创建时间：2023年05月31日 15:58
 */

@Mapper
public interface PackageTypeDao {

    List<BaseTypePackageBean> getList(BaseTypePackageBean o);

    int addInfo(BaseTypePackageBean bean);

    int updateInfo(BaseTypePackageBean bean);

    BaseTypePackageBean getListById(String id);

    int delById(BaseTypePackageBean bean);
}
